<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.8
Name: playingEntity
Description: playingEntity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000">
   <title>playingEntity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.8
Context: *[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]
Item: (playingEntity)
-->

   <rule context="*[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]"
         id="d18e5800-false-d106260e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="count(hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']])&lt;=1">(playingEntity): element hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.8
Context: *[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]
Item: (playingEntity)
-->

   <rule context="*[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]"
         id="d18e5822-false-d106275e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="string(@classCode)=('ENT')">(playingEntity): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(playingEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8'])&gt;=1">(playingEntity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8'])&lt;=1">(playingEntity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.8
Context: *[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']
Item: (playingEntity)
-->

   <rule context="*[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']"
         id="d18e5828-false-d106309e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(playingEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.0.8')">(playingEntity): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.0.8' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.8
Context: *[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]
Item: (playingEntity)
-->

   <rule context="*[hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]]/hl7:playingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.8']]/hl7:code[@codeSystem=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.4-DYNAMIC.xml')//valueSet[1]/completeCodeSystem/@codeSystem or @nullFlavor]"
         id="d18e5835-false-d106327e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(playingEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2015-06-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.4-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(playingEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.17.2.4 AfdelingSpecialismeCodelijst (DYNAMISCH)'.</assert>
   </rule>
</pattern>
