<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Name: vitale functies CDA organizer
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000">
   <title>vitale functies CDA organizer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]"
         id="d18e8201-false-d122824e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]"
         id="d18e8237-false-d122950e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@classCode)=('CLUSTER')">(VitaleFunctiesCDAOrganizer): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VitaleFunctiesCDAOrganizer): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27'])&gt;=1">(VitaleFunctiesCDAOrganizer): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27'])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1">(VitaleFunctiesCDAOrganizer): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(VitaleFunctiesCDAOrganizer): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']"
         id="d18e8246-false-d123053e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitaleFunctiesCDAOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.27')">(VitaleFunctiesCDAOrganizer): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.27' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:statusCode[@code='completed']
Item: (VitaleFunctiesCDAOrganizer)
-->

   <rule context="*[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:statusCode[@code='completed']"
         id="d18e8251-false-d123069e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitaleFunctiesCDAOrganizer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.27-2017-08-16T000000.html"
              test="@nullFlavor or (@code='completed')">(VitaleFunctiesCDAOrganizer): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.28']]]
Item: (VitaleFunctiesCDAOrganizer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.27
Context: *[hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]]/hl7:organizer[@classCode='CLUSTER'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.27']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.30']]]
Item: (VitaleFunctiesCDAOrganizer)
--></pattern>
