<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Name: scoping Entity
Description: scopingEntity
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000">
   <title>scoping Entity</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Context: *[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]
Item: (scopingEntity)
-->

   <rule context="*[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]"
         id="d18e5849-false-d106355e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="count(hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']])&lt;=1">(scopingEntity): element hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Context: *[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]
Item: (scopingEntity)
-->

   <rule context="*[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]"
         id="d18e5870-false-d106370e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="string(@classCode)=('ENT')">(scopingEntity): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(scopingEntity): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9'])&gt;=1">(scopingEntity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9'])&lt;=1">(scopingEntity): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor])&lt;=1">(scopingEntity): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="count(hl7:desc)&lt;=1">(scopingEntity): element hl7:desc komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Context: *[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']
Item: (scopingEntity)
-->

   <rule context="*[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']"
         id="d18e5876-false-d106414e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(scopingEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.3.10.0.9')">(scopingEntity): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.3.10.0.9' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Context: *[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]
Item: (scopingEntity)
-->

   <rule context="*[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor]"
         id="d18e5881-false-d106432e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(scopingEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(scopingEntity): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.40.2.17.2.3 OrganisatieTypeCodelijst (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.3.10.0.9
Context: *[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:desc
Item: (scopingEntity)
-->

   <rule context="*[hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]]/hl7:scopingEntity[@classCode='ENT'][hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.3.10.0.9']]/hl7:desc"
         id="d18e5897-false-d106454e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/bgz2017/bgz2017-html-20171101T205959/tmp-2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2015-06-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(scopingEntity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
